%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

%define subrel	1

Summary:	An extension library to Xfce desktop environment
Name:		exo
Version:	0.10.2
Release:	%mkrel 5
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.xfce.org
Source:		http://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
# P0 from upstream git:
# http://git.xfce.org/xfce/exo/commit/?id=05848bb3
Patch0:		exo-0.10.2-fix-uri-handling.patch
Patch1:		exo-0.10.2-fix-chromium-helper.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.9.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.9.0
BuildRequires:	intltool

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library to Xfce
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
#Added 01/2012 (wally)
Obsoletes:	%{_lib}%{name}-1_0 < 0.7.0

%description -n %{libname}
Main library for the libexo.

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}exo1_0-devel
Conflicts:	%{name} < 0.7.0

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{api}

%files -f %{name}-%{api}.lang
%doc AUTHORS README ChangeLog TODO
%{_bindir}/exo*
%dir %{_libdir}/xfce4/%{name}-%{api}/
%{_libdir}/xfce4/%{name}-%{api}/exo-helper-%{api}
%{_libdir}/xfce4/%{name}-%{api}/exo-compose-mail-%{api}
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo-%{api}/
%{_datadir}/pixmaps/exo-%{api}/exo-thumbnail-frame.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/*


%changelog
* Wed Feb 05 2014 wally <wally> 0.10.2-5.1.mga4
+ Revision: 583398
- add patch to fix chromium icon in exo-preferred applications (mga#12575)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.2-5.mga4
+ Revision: 523609
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.10.2-4.mga4
+ Revision: 425176
- add patch from upstream git to fix URI handling (xfce#10098)

* Fri Jan 11 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 349868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.10.2-2.mga3
+ Revision: 338288
- fix file list after %%_libexecdir change
- own some unowned dirs

* Thu Dec 27 2012 wally <wally> 0.10.2-1.mga3
+ Revision: 335697
- new version 0.10.2

* Sun Dec 09 2012 wally <wally> 0.10.1-1.mga3
+ Revision: 329088
- new version 0.10.1

* Mon Dec 03 2012 wally <wally> 0.10.0-1.mga3
+ Revision: 325978
- new version 0.10.0

* Sat Nov 10 2012 wally <wally> 0.9.1-1.mga3
+ Revision: 316888
- new version 0.9.1
- drop patches from upstream

* Sat Nov 10 2012 wally <wally> 0.9.0-2.mga3
+ Revision: 316842
- add patches from upstream
  * protect against null value (xfce#9418)
  * two build fixes with newer glib
- clean .spec a bit

* Sun Oct 14 2012 wally <wally> 0.9.0-1.mga3
+ Revision: 305443
- new version 0.9.0

* Mon May 28 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 248460
- new version 0.8.0
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.7.1-1.mga2
+ Revision: 208452
- remove unregistered value from .desktop files
- new version 0.7.1

* Tue Jan 03 2012 wally <wally> 0.7.0-1.mga2
+ Revision: 190010
- new version 0.7.0
- drop unused patches
- fix lib pkg name
- drop python subpkg
- clean BRs
- move docs to devel pkg and don't regenerate them on build time
- clean .spec a bit

* Tue Jun 21 2011 ahmad <ahmad> 0.6.2-1.mga2
+ Revision: 111222
- Update to 0.6.2
- Drop BR hal-devel, not used any more AFAICS
- Update the file list

* Thu Jan 27 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 41628
- drop old unneeded scriptlets
- don't ship .a
- replace %%py_requires -d with python-devel
- imported package exo


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 632281
- update to new version 0.6.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 629087
- update to new version 0.5.6

* Tue Nov 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 600324
- update to new version 0.5.5

* Wed Nov 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592706
- use rm instead of %%exclude
- drop old conditions for mdv older than 200900
- rebuild for new python

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 579278
- update configure options
- update to new version 0.5.4
- disable all patches
- fix file list

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.107-1mdv2011.0
+ Revision: 553763
- update to new version 0.3.107
- drop patch 3, merged by upstream

* Thu Jun 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.106-2mdv2010.1
+ Revision: 547011
- reorder patches
- add upstream patch to make treeview work with gtk 2.20, should fix (mdv #58909)

* Sun Dec 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.106-1mdv2010.1
+ Revision: 478206
- update to new version 0.3.106
- drop patch 6, applied by upstream

* Sat Oct 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-2mdv2010.0
+ Revision: 459135
- drop patch 5, because it is useless
- Patch6: don't mount all medias with sync option
- Patch7: use UTF-8 as a default charset for mounted medias
- Patch8: use default expire time for notifications

* Sun Oct 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-1mdv2010.0
+ Revision: 458139
- update to new version 0.3.105
- rediff patch 5
- keep only libraries in the library subpackage, move other files into main exo package

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.104-1mdv2010.0
+ Revision: 456676
- update to new version 0.3.104
- drop patches 2 and 3, because they were merged by upstream
- rediff patch 5

* Mon Aug 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.102-1mdv2010.0
+ Revision: 420538
- update to new version 0.3.102
- drop merged patches 6 and 7

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-4mdv2010.0
+ Revision: 409624
- Patch7: fix segfault in exo_icon_view_get_item_at_pos

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-3mdv2010.0
+ Revision: 385053
- both disabled patches in last commit are still needed

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-2mdv2010.0
+ Revision: 385026
- Patch6: ignore unknown options passed to exo-open
- temporarily disable two old patches, don't know if they have some effect

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-1mdv2010.0
+ Revision: 368573
- update to new version 0.3.101

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-3mdv2009.1
+ Revision: 364223
- Patch6: quote arguments passed to exo open

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-2mdv2009.1
+ Revision: 349139
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.100-1mdv2009.1
+ Revision: 345641
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch5: use noatime mout flag if allowed by hal

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.99.1-1mdv2009.1
+ Revision: 333834
- update to new version 0.3.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.93-1mdv2009.1
+ Revision: 329516
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.3.93

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-4mdv2009.1
+ Revision: 320579
- move buildrequires on python-devel to python-exo subpackage

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.92-3mdv2009.1
+ Revision: 320547
- fix build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-2mdv2009.1
+ Revision: 303456
- update to new version 0.3.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-2mdv2009.1
+ Revision: 302343
- rebuild

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-1mdv2009.1
+ Revision: 294424
- Xfce4.6 beta1 is landing on cooker
- drop patches 0 and 1

* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-5mdv2009.0
+ Revision: 274186
- Patch1: add support for LUKS encrypted volumes (upstream bug #3349)
- revert, it is pointless to backport this patch, too much effort
- Patch4: add support for LUKS encrypted volumes (upstream bug #3349)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-3mdv2009.0
+ Revision: 205642
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 188933
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 114971
- New release 0.3.4

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-10mdv2008.1
+ Revision: 110660
- new license policy
- fix buildrequires
- %%{libname} requires %%{name} istead of itself
- update summary and description for devel package
- do not package COPYING and INSTALL files, add ChangeLog instead

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-9mdv2008.0
+ Revision: 92269
- fix umount removable devices

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-8mdv2008.0
+ Revision: 91877
- exclude helpers.rc

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-7mdv2008.0
+ Revision: 79548
- determine the preffered iocharset for filesystem that support it

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-6mdv2008.0
+ Revision: 75084
- provide patch 1 (missing header)
- do not generate docs with gtk-doc

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2008.0
+ Revision: 71411
- provide patch 0

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 44112
- move translations to the main library
- new devel library policy
- disable building of static files rather deleting them
- correct provides/obsoletes
- fix file list

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 33177
- drop __libtoolize
- use macros in %%post and %%postun
- spec file clean


* Sat Feb 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdv2007.0
+ Revision: 125330
- Fix Hal support ( pointed out by Scara)
- Remove duplicate BR

* Tue Jan 23 2007 plouf <plouf> 0.3.2-1mdv2007.1
+ Revision: 112304
- New release 0.3.2

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 0.3.1.12-0.rc2mdv2007.1
+ Revision: 90998
- Update

  + Götz Waschk <waschk@mandriva.org>
    - fix provides
    - fix post and postun scripts

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1.8-0.beta2.2mdv2007.1
+ Revision: 72674
-  Add BuildRequires
- import exo-0.3.1.8-0.beta2.1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1.8-0.beta2.1mdv2007.0
- 0.3.1.8beta2
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.2mdk
- Add Provides

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.1.6-0.beta1.1mdk
- 0.3.1.6 beta1

* Sun Mar 12 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.3mdk
- package noarch files in prefix/lib

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.2mdk
- .la is not part of lib package

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.1mdk
- svn r20246
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.2mdk
- buildrequires xfce-mcs-manager-devel python

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.1mdk
- 0.3.1 from SVN r19739
- don't run libtoolize
- update filelist
- add exo package
- provide and obsolete libexo-0.2_0-devel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-2mdk
- BR
- mv pygtk file to python pkg

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 0.3.0
- update file list
- add python-exo pkg

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first Mdk release

